//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.12.08 at 11:55:12 AM CET 
//


package pl.adriankozlowski.jpk;

import javax.xml.bind.annotation.*;


/**
 * <p>Java class for DocumentType complex type.
 * <p>
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;complexType name="DocumentType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="FormCodeType">
 *           &lt;complexType>
 *             &lt;simpleContent>
 *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                 &lt;attribute name="systemCode" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                 &lt;attribute name="schemaVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *               &lt;/extension>
 *             &lt;/simpleContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="FileName">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;pattern value="[a-zA-Z0-9_\.\-]{5,55}"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="ContentLength" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="HashValue">
 *           &lt;complexType>
 *             &lt;simpleContent>
 *               &lt;restriction base="&lt;http://e-dokumenty.mf.gov.pl>HashValueSHAType">
 *               &lt;/restriction>
 *             &lt;/simpleContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="FileSignatureList">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{http://e-dokumenty.mf.gov.pl}ArrayOfFileSignatureType">
 *                 &lt;attribute name="filesNumber" use="required">
 *                   &lt;simpleType>
 *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}int">
 *                       &lt;minInclusive value="1"/>
 *                     &lt;/restriction>
 *                   &lt;/simpleType>
 *                 &lt;/attribute>
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DocumentType", propOrder = {
        "formCode",
        "fileName",
        "contentLength",
        "hashValue",
        "fileSignatureList"
})
@XmlSeeAlso({
        pl.adriankozlowski.jpk.ArrayOfDocumentType.Document.class
})
public class DocumentType {

    @XmlElement(name = "FormCodeType", required = true)
    protected DocumentType.FormCode formCode;
    @XmlElement(name = "FileName", required = true)
    protected String fileName;
    @XmlElement(name = "ContentLength")
    protected long contentLength;
    @XmlElement(name = "HashValue", required = true)
    protected DocumentType.HashValue hashValue;
    @XmlElement(name = "FileSignatureList", required = true)
    protected DocumentType.FileSignatureList fileSignatureList;

    /**
     * Gets the value of the formCode property.
     *
     * @return possible object is
     * {@link DocumentType.FormCode }
     */
    public DocumentType.FormCode getFormCode() {
        return formCode;
    }

    /**
     * Sets the value of the formCode property.
     *
     * @param value allowed object is
     *              {@link DocumentType.FormCode }
     */
    public void setFormCode(DocumentType.FormCode value) {
        this.formCode = value;
    }

    /**
     * Gets the value of the fileName property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * Sets the value of the fileName property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setFileName(String value) {
        this.fileName = value;
    }

    /**
     * Gets the value of the contentLength property.
     */
    public long getContentLength() {
        return contentLength;
    }

    /**
     * Sets the value of the contentLength property.
     */
    public void setContentLength(long value) {
        this.contentLength = value;
    }

    /**
     * Gets the value of the hashValue property.
     *
     * @return possible object is
     * {@link DocumentType.HashValue }
     */
    public DocumentType.HashValue getHashValue() {
        return hashValue;
    }

    /**
     * Sets the value of the hashValue property.
     *
     * @param value allowed object is
     *              {@link DocumentType.HashValue }
     */
    public void setHashValue(DocumentType.HashValue value) {
        this.hashValue = value;
    }

    /**
     * Gets the value of the fileSignatureList property.
     *
     * @return possible object is
     * {@link DocumentType.FileSignatureList }
     */
    public DocumentType.FileSignatureList getFileSignatureList() {
        return fileSignatureList;
    }

    /**
     * Sets the value of the fileSignatureList property.
     *
     * @param value allowed object is
     *              {@link DocumentType.FileSignatureList }
     */
    public void setFileSignatureList(DocumentType.FileSignatureList value) {
        this.fileSignatureList = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{http://e-dokumenty.mf.gov.pl}ArrayOfFileSignatureType">
     *       &lt;attribute name="filesNumber" use="required">
     *         &lt;simpleType>
     *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}int">
     *             &lt;minInclusive value="1"/>
     *           &lt;/restriction>
     *         &lt;/simpleType>
     *       &lt;/attribute>
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class FileSignatureList
            extends ArrayOfFileSignatureType {

        @XmlAttribute(name = "filesNumber", required = true)
        protected int filesNumber;

        /**
         * Gets the value of the filesNumber property.
         */
        public int getFilesNumber() {
            return filesNumber;
        }

        /**
         * Sets the value of the filesNumber property.
         */
        public void setFilesNumber(int value) {
            this.filesNumber = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;simpleContent>
     *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *       &lt;attribute name="systemCode" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *       &lt;attribute name="schemaVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *     &lt;/extension>
     *   &lt;/simpleContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
            "value"
    })
    public static class FormCode {

        @XmlValue
        protected String value;
        @XmlAttribute(name = "systemCode", required = true)
        protected String systemCode;
        @XmlAttribute(name = "schemaVersion", required = true)
        protected String schemaVersion;

        /**
         * Gets the value of the value property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setValue(String value) {
            this.value = value;
        }

        /**
         * Gets the value of the systemCode property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getSystemCode() {
            return systemCode;
        }

        /**
         * Sets the value of the systemCode property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setSystemCode(String value) {
            this.systemCode = value;
        }

        /**
         * Gets the value of the schemaVersion property.
         *
         * @return possible object is
         * {@link String }
         */
        public String getSchemaVersion() {
            return schemaVersion;
        }

        /**
         * Sets the value of the schemaVersion property.
         *
         * @param value allowed object is
         *              {@link String }
         */
        public void setSchemaVersion(String value) {
            this.schemaVersion = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;simpleContent>
     *     &lt;restriction base="&lt;http://e-dokumenty.mf.gov.pl>HashValueSHAType">
     *     &lt;/restriction>
     *   &lt;/simpleContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class HashValue
            extends HashValueSHAType {


    }

}
